# TdApi.CallbackQueryPayloadDataWithPassword (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CallbackQueryPayloadDataWithPassword

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallbackQueryPayloadDataWithPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallbackQueryPayload
it.tdlight.jni.TdApi.CallbackQueryPayloadDataWithPassword

Enclosing class:
  TdApi

public static final class TdApi.CallbackQueryPayloadDataWithPassword extends TdApi.CallbackQueryPayload
The payload for a callback button requiring password.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`byte[]`
`data`
Data that was attached to the callback button.
`String`
`password`
The 2-step verification password for the current user.

## Constructor Summary

Constructors
Constructor
Description
`CallbackQueryPayloadDataWithPassword()`
The payload for a callback button requiring password.
`CallbackQueryPayloadDataWithPassword(DataInput input)`
The payload for a callback button requiring password.
`CallbackQueryPayloadDataWithPassword(String password, byte[] data)`
The payload for a callback button requiring password.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### password

public String password
The 2-step verification password for the current user.

### data

public byte[] data
Data that was attached to the callback button.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CallbackQueryPayloadDataWithPassword

public CallbackQueryPayloadDataWithPassword()
The payload for a callback button requiring password.

### CallbackQueryPayloadDataWithPassword

public CallbackQueryPayloadDataWithPassword(String password, byte[] data)
The payload for a callback button requiring password.

Parameters:
  `password` - The 2-step verification password for the current user.
  `data` - Data that was attached to the callback button.

### CallbackQueryPayloadDataWithPassword

public CallbackQueryPayloadDataWithPassword(DataInput input) throws IOException
The payload for a callback button requiring password.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`